From: Jan Mojzis <jan.mojzis@gmail.com>
Date: Sat, 30 Jul 2016 11:39:19 +0200
Subject: socket_bind

---
 curvecp/socket_bind.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/curvecp/socket_bind.c b/curvecp/socket_bind.c
index 9e36925..374b93a 100644
--- a/curvecp/socket_bind.c
+++ b/curvecp/socket_bind.c
@@ -9,6 +9,7 @@ int socket_bind(int fd,const unsigned char *ip,const unsigned char *port)
 {
   struct sockaddr_in sa;
   byte_zero(&sa,sizeof sa);
+  sa.sin_family = PF_INET;
   byte_copy(&sa.sin_addr,4,ip);
   byte_copy(&sa.sin_port,2,port);
   return bind(fd,(struct sockaddr *) &sa,sizeof sa);
